# getOrderBy

### Arguments

| Argument                                                                           | Description |
| ---------------------------------------------------------------------------------- | ----------- |
| id ([ID](/graphql-api/api-reference/objects/id.md))                                |             |
| shopifyId ([String](/graphql-api/api-reference/objects/string.md))                 |             |
| shopifyFulfillmentOrderId ([String](/graphql-api/api-reference/objects/string.md)) |             |

### Return fields

#### acceptUrl ([String](/graphql-api/api-reference/objects/string.md))

The url to accept and pay for this order

#### amountCents ([Int](/graphql-api/api-reference/objects/int.md)!)

The amount in cents

#### cancelUrl ([String](/graphql-api/api-reference/objects/string.md))

The url to cancel this order

#### createdAt ([ISO8601DateTime](/graphql-api/api-reference/objects/iso-8601-date-time.md))

Order creation date

#### currency ([String](/graphql-api/api-reference/objects/string.md))

Currency used for this order

#### discountCents ([Int](/graphql-api/api-reference/objects/int.md))

The amount of discount for this order in cents including tax

#### discountExclTaxCents ([Int](/graphql-api/api-reference/objects/int.md))

The amount of discount for this order in cents excluding tax

#### extraFieldAnswersSummary ([JSON](/graphql-api/api-reference/objects/json.md))

Summary of extra field answers from the shipping section only (captured when the order was created). Each entry is an object with a single key-value pair: the field name as key and answer value as value.

#### fulfilledAt ([ISO8601DateTime](/graphql-api/api-reference/objects/iso-8601-date-time.md))

Time at which the order was marked as fulfilled.

#### id ([ID](/graphql-api/api-reference/objects/id.md))

ID to identify the order with

#### invoice ([Invoice](/graphql-api/api-reference/objects/invoice.md))

The invoice for this order. Can be null if this order is a shipment-only order without directly being related to a payment or invoice.

#### metadata ([JSON](/graphql-api/api-reference/objects/json.md))

Metadata makes it possible to store additional information on objects.

#### orderLines (\[[OrderLine](/graphql-api/api-reference/objects/order-line.md)!])

The lines on the order.

#### paid ([Boolean](/graphql-api/api-reference/objects/boolean.md)!)

Wether the order and its invoice is paid. Will always be true if the order total amount is zero and no invoice is attached.

#### payment ([Payment](/graphql-api/api-reference/objects/payment.md))

The associated payment for this order. Can be null if this order is a shipment-only order.

#### shipmentDate ([ISO8601Date](/graphql-api/api-reference/objects/iso-8601-date.md))

The date on which the order is initiated

#### shippingCostsCents ([Int](/graphql-api/api-reference/objects/int.md))

The amount of shipping cost for this order in cents including tax

#### shippingCostsExclTaxCents ([Int](/graphql-api/api-reference/objects/int.md))

The amount of shipping cost for this order in cents excluding tax

#### shopifyDraftId ([String](/graphql-api/api-reference/objects/string.md))

The associated Shopify draft order ID.

#### shopifyFulfillmentOrderId ([String](/graphql-api/api-reference/objects/string.md))

The associated Shopify fulfillment order ID.

#### shopifyId ([String](/graphql-api/api-reference/objects/string.md))

The associated Shopify order ID.

#### snoozeUrl ([String](/graphql-api/api-reference/objects/string.md))

The url to snooze this order

#### status ([OrderStatus](/graphql-api/api-reference/objects/order-status.md)!)

Order status

#### subscription ([Subscription](/graphql-api/api-reference/objects/subscription.md))

The subscription this order was made for.

#### totalTaxCents ([Int](/graphql-api/api-reference/objects/int.md)!)

The total amount of tax for this order in cents

#### ~~trackAndTraceCode (~~[~~String~~](/graphql-api/api-reference/objects/string.md)~~)~~

*`Deprecated: Please use 'tracking_code' instead.`*

The track and trace code for this order.

#### trackingCode ([String](/graphql-api/api-reference/objects/string.md))

The tracking code for this order. Made available in email templates.

#### updatedAt ([ISO8601DateTime](/graphql-api/api-reference/objects/iso-8601-date-time.md))

The date and time when the order was last updated.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.firmhouse.com/graphql-api/api-reference/queries/get-order-by.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
